---
title: Docker Build Cloud billing
description: Learn how to get started with a Docker Build Cloud subscription.
keywords: payments, billing, subscription, build, cloud, Build Cloud, remote builder, buy docker build cloud
---

Build Cloud is a next-gen build tool that enables improved build speed, a shared build cache, and native multi-platform builds. Build Cloud is available for free with an existing Docker subscription. To get additional seats and increase your available build minutes, you can buy a subscription to enhance your builds.

If you don’t have a Docker Core subscription, you can buy Docker Build Cloud Team and create a team in Docker Build Cloud.

> **Tip**
>
> You can create a free Docker Personal account and [try Docker Build Cloud for free](/subscription/build-cloud/build-details#docker-personal). Team benefits aren't included.
{ .tip }

In this section, learn how to set up and manage billing for your Build Cloud subscription. For more information about the subscription tiers, see [Build Cloud subscriptions and features](/subscription/build-cloud/build-details). To buy Docker Build Cloud Business, [contact sales](https://www.docker.com/products/build-cloud/#contact_sales).

## Set up Docker Build Cloud Team subscription

You can set up a Build Cloud subscription on a monthly or annual plan. To upgrade a Build Cloud Starter subscription, see [Upgrade your subscription](#upgrade-your-subscription).

### Existing account or organization

1. Sign in to [Docker Build Cloud](https://build.docker.com/).
2. Choose the user account you want to use to subscribe. This can be a personal account, or an organization account. To buy a subscription for an organization, you need to be an organization owner.
3. Review the plans, then select **Buy now**.
4. For organizations: Select the number of seats you want to buy, then select **Continue to payment**.
5. Review your order, then enter your payment information and select **Subscribe**.

Subscription renewals charge to the default payment method.

### New organization

You can buy a Docker Build Cloud Team subscription if you haven’t created an organization yet. To do so, you can create a team in Docker Build Cloud.

> **Note**
>
> To create a new organization and start a Docker Build Cloud Team subscription, you need a personal Docker account. You can [sign up](https://hub.docker.com/signup) for free.

1. Sign in to [Docker Build Cloud](https://build.docker.com/).
2. Select **Create a new team**.
3. On the **Build Cloud Team** card, select **Buy now**.
4. To create your team, enter an organization namespace, company name, and the number of seats you want to buy.
5. Select **Continue to payment**.
6. Follow the on-screen instructions to buy your subscription.

When your payment is complete, you’ll be redirected to the dashboard for your new team in Docker Build Cloud. Here, you can [invite users](/subscription/build-cloud/manage-seats/) to your team.

## Manage your subscription

You can manage your subscription in the Build Cloud dashboard in the **Settings and billing** section. Here you can view your current plan, upgrade your plan, and review build minute usage.

### View billing history and manage your billing information

You can view your billing history at any time.

1. Sign in to [Docker Build Cloud](https://build.docker.com/).
2. Select **Settings and billing**.
3. Select the **Payment methods and billing history** link to go to the billing portal.

Here you can find your invoice history, download your invoices, and manage your billing information and payment methods. You can also find your next billing date.

### Upgrade your subscription

You can upgrade your Docker Build Cloud Starter subscription to a Docker Build Cloud Team subscription in the Build Cloud dashboard.

1. Sign in to [Docker Build Cloud](https://build.docker.com/).
2. Select **Settings and billing**.
3. Next to the name of your current plan, select **Upgrade plan**.
4. Select **Upgrade now**.
5. Follow the on-screen instructions to buy your subscription.

### Downgrade your subscription

You can downgrade your subscription at any time.

1. Sign in to [Docker Build Cloud](https://build.docker.com/).
2. Select **Settings and billing**.
3. Select **Change plan**.
4. Select **Downgrade**.
5. Follow the on-screen instructions then select **Confirm downgrade**.

Your subscription remains active until your next billing cycle.
