---
title: Deploy with Microsoft installer
description: If you're an IT admin, learn how to deploy Docker Desktop with Microsoft installer
keywords: msi, docker desktop, windows, installation
---
 
> **Early Access**
>
> The MSI installer is an [early access](../../../release-lifecycle.md#early-access-ea) feature for Docker Business subscribers.
> It's available to all company owners and organization owners with Docker Desktop version 4.32 and later.
{ .restricted } 

Docker offers a 64-bit Microsoft Installer (MSI) package designed to assist IT administrators in customizing and deploying Docker Desktop across multiple users or machines in an enterprise environment. 

The MSI package supports various MDM (Mobile Device Management) solutions, making it ideal for bulk installations and eliminating the need for manual setups by individual users. With this package, IT administrators can ensure standardized, policy-driven installations of Docker Desktop, enhancing efficiency and software management across their organizations.

Whether you're looking to implement scripted installations or integrate Docker Desktop with existing MDM solutions, this MSI package is an essential resource.

## What's next

- [Use the Microsoft installer and read the configuration options](install-and-configure.md)
- [Read the FAQs](faq.md)
- [Install with Intune](use-intune.md)